Subject: Re: Empty $''
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Sat, 5 Mar 2016 08:35:57 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mar 4, 12:14pm, Peter Stephenson wrote:
} Subject: Re: Empty $''
}
} -    else
} +    else if (*strsub)
}  	strret = strsub;
} +    else {
} +	/* This ensures a $'' doesn't get elided. */
} +	strret = dupstring(nulstring);
} +    }

This looks fine; I wasn't sure whether (*strsub) was ever nonzero in
this case but it should be harmless to append a Nulstring to another
string (happens with e.g. foo"" already I think) so I took a shortcut.